xrootd (6.1.0-1) unstable; urgency=medium

  * Update to version 6.1.0
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jun 2026 18:28:01 +0200

xrootd (6.0.3-1) unstable; urgency=medium

  * Update to version 6.0.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 03 Jun 2026 15:02:30 +0200

xrootd (6.0.2-1) unstable; urgency=medium

  * Update to version 6.0.2
  * Fix building with build profile nocheck (Closes: #1137503)
  * Adapt to OpenSSL 4.0 (Closes: #1138438)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 May 2026 12:50:09 +0200

xrootd (6.0.0-4) unstable; urgency=medium

  * Minor adjustments to the test exclusion lists

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 May 2026 16:49:39 +0200

xrootd (6.0.0-3) unstable; urgency=medium

  * Add missing Replaces/Breaks (Closes: #1134922)
  * Add link to atomic library for some 32 bit architectures
  * Fix crash due to unaligned memory access (sparc64)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 29 Apr 2026 06:23:03 +0200

xrootd (6.0.0-2) unstable; urgency=medium

  * Update debian/copyright

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Apr 2026 06:38:57 +0200

xrootd (6.0.0-1) unstable; urgency=medium

  * Update to version 6.0.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 13 Apr 2026 12:13:03 +0200

xrootd (5.9.2-1) unstable; urgency=medium

  * Update to version 5.9.2
  * Drop patches accepted upstream or previously backported

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Mar 2026 12:15:17 +0100

xrootd (5.9.1-3) unstable; urgency=medium

  * Use longer token lifetime during tests (backport from upstream)
  * Adjust some test timeouts

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 29 Nov 2025 07:40:54 +0100

xrootd (5.9.1-2) unstable; urgency=medium

  * Drop FUSE support (Closes: #1094464, #1121186 )

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 27 Nov 2025 10:19:48 +0100

xrootd (5.9.1-1) unstable; urgency=medium

  * Update to version 5.9.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 18 Nov 2025 11:12:28 +0100

xrootd (5.9.0-1) unstable; urgency=medium

  * Update to version 5.9.0
  * Add Build-Depends libcrypt-dev (Closes: #1107063)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 11 Oct 2025 14:07:08 +0200

xrootd (5.8.4-2) unstable; urgency=medium

  * Exclude the XRootD::posix::test test for some architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 18 Jul 2025 17:39:37 +0200

xrootd (5.8.4-1) unstable; urgency=medium

  * Update to version 5.8.4

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 15 Jul 2025 09:23:49 +0200

xrootd (5.8.3-1) unstable; urgency=medium

  * Update to version 5.8.3
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 05 Jun 2025 22:07:13 +0200

xrootd (5.8.2-3) unstable; urgency=medium

  * Fix broken check for read only access

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 15 May 2025 16:25:27 +0200

xrootd (5.8.2-2) unstable; urgency=medium

  * Exclude the XRootD::tpc::test test when filesystem lacks attr support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 15 May 2025 06:58:13 +0200

xrootd (5.8.2-1) unstable; urgency=medium

  * Update to version 5.8.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 14 May 2025 08:44:13 +0200

xrootd (5.8.1-1) unstable; urgency=medium

  * Update to version 5.8.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 17 Apr 2025 02:22:37 +0200

xrootd (5.8.0-1) unstable; urgency=medium

  * Update to version 5.8.0
  * Move user/group creation logic to sysusers.d fragment
  * Set HOSTNAME to localhost during testing
  * Set _PYTHON_HOST_PLATFORM for reproducible builds

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 22 Mar 2025 10:57:27 +0100

xrootd (5.7.3-1) unstable; urgency=medium

  * Update to version 5.7.3
  * Drop patches accepted upstream
  * Build xrootd-ceph-plugins for loong64
  * Don't build libxrdec1 for 32 bit architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 01 Feb 2025 09:00:18 +0100

xrootd (5.7.2-4) unstable; urgency=medium

  * Fix errors in format strings

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 08 Dec 2024 10:24:00 +0100

xrootd (5.7.2-3) unstable; urgency=medium

  * Use correct format for size_t for 32 bit architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 01 Dec 2024 11:00:46 +0100

xrootd (5.7.2-2) unstable; urgency=medium

  * Exclude the XRootD::http::test test when filesystem lacks attr support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 30 Nov 2024 13:12:31 +0100

xrootd (5.7.2-1) unstable; urgency=medium

  * Update to version 5.7.2
  * Drop patches accepted upstream
  * Update fuse package dependency (Closes: #1084481)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Nov 2024 14:57:11 +0100

xrootd (5.7.1-3) unstable; urgency=medium

  * Protect against array index out of bounds (hppa)
  * Change type in XrdSutCacheArg_t to long long (32 bit archs)
  * Reproducible doxygen output (avoid multiple threads to get
    predictable file names)
  * Increase client timeouts for XRootD server tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 16 Sep 2024 12:54:14 +0200

xrootd (5.7.1-2) unstable; urgency=medium

  * Exclude the XrdCl::WorkflowTest.CheckpointTest test

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 07 Sep 2024 09:34:59 +0200

xrootd (5.7.1-1) unstable; urgency=medium

  * Update to version 5.7.1
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 05 Sep 2024 10:32:37 +0200

xrootd (5.7.0-3) unstable; urgency=medium

  * Fix compilation on GNU/Hurd - IOV_MAX not defined

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 06 Jul 2024 05:55:34 +0200

xrootd (5.7.0-2) unstable; urgency=medium

  * Fix spelling error in patch directory (pattches → patches)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 05 Jul 2024 16:41:18 +0200

xrootd (5.7.0-1) unstable; urgency=medium

  * Update to version 5.7.0
  * Drop patches accepted upstream
  * Move systemd unit files to /usr/lib/systemd/system (Closes: #1073678)
  * Reduce socket path lengths used by tests
  * Fix compilation error due to hidden overloaded virtual

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 02 Jul 2024 17:23:50 +0200

xrootd (5.6.9-2) unstable; urgency=medium

  * Avoid test failures due to using the same port numbers in different tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 26 Mar 2024 05:38:00 +0100

xrootd (5.6.9-1) unstable; urgency=medium

  * Update to version 5.6.9
  * Fix build with 64 bit time_t (Closes: #1067015)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Mar 2024 13:24:01 +0100

xrootd (5.6.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063298

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 07:58:29 +0000

xrootd (5.6.7-1) unstable; urgency=medium

  * Update to version 5.6.7

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Feb 2024 15:47:53 +0100

xrootd (5.6.6-1) unstable; urgency=medium

  * Update to version 5.6.6

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Jan 2024 10:15:04 +0100

xrootd (5.6.5-1) unstable; urgency=medium

  * Update to version 5.6.5
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jan 2024 21:54:54 +0100

xrootd (5.6.4-1) unstable; urgency=medium

  * Update to version 5.6.4
  * Drop patches accepted upstream or previously backported
  * Fix missing include for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 12:41:01 +0100

xrootd (5.6.3-8) unstable; urgency=medium

  * Fail gracefully in case of unsupported extended file attributes
  * Avoid null bytes in error message strings
  * Fix include path in XRootDConfig.cmake
  * Avoid dereferencing unaligned pointers
  * Support big endian in XrdZip

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Dec 2023 09:08:39 +0100

xrootd (5.6.3-7) unstable; urgency=medium

  * Disable XrdEc tests if file system does not support extended attributes

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 12:46:27 +0100

xrootd (5.6.3-6) unstable; urgency=medium

  * Avoid /tmp when running some tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 09:10:51 +0100

xrootd (5.6.3-5) unstable; urgency=medium

  * Enable erasure code support (XrdEc)
  * New binary package libxrdec1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 19 Nov 2023 22:10:50 +0100

xrootd (5.6.3-4) unstable; urgency=medium

  * Move installed CMake files to LIBDIR since they are now arch dependent
  * Update patch for TCP_CORK on GNU/Hurd to the version accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Nov 2023 03:59:33 +0100

xrootd (5.6.3-3) unstable; urgency=medium

  * Fix test issues (Closes: #1054994)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 29 Oct 2023 09:17:42 +0100

xrootd (5.6.3-2) unstable; urgency=medium

  * Explicitly disable ceph support on hurd os

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Oct 2023 11:15:45 +0200

xrootd (5.6.3-1) unstable; urgency=medium

  * Update to version 5.6.3
  * Drop patches accepted upstream or previously backported
  * Enable tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Oct 2023 16:04:42 +0200

xrootd (5.6.2-3) unstable; urgency=medium

  * Drop ceph support for 32 bit architectures (Closes: #1053200)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 01 Oct 2023 05:39:19 +0200

xrootd (5.6.2-2) unstable; urgency=medium

  * Backport fix for Authfile parsing regression

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 18 Sep 2023 15:39:24 +0200

xrootd (5.6.2-1) unstable; urgency=medium

  * Update to version 5.6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Sep 2023 05:05:00 +0200

xrootd (5.6.1-1) unstable; urgency=medium

  * Update to version 5.6.1
  * Add --use-pep517 --no-build-isolation to pip options

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 12 Jul 2023 17:39:02 +0200

xrootd (5.6.0-1) unstable; urgency=medium

  * Update to version 5.6.0
  * Drop patches (changes implemented upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Jul 2023 13:22:50 +0200

xrootd (5.5.5-1) unstable; urgency=medium

  * Update to version 5.5.5

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Jun 2023 11:20:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libxrdutils6`.
